with GNATCOM.Dispinterface;

package MSHTML.INavigatorGeolocation_Interface is

   type INavigatorGeolocation_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out INavigatorGeolocation_Type);

   function Pointer (This : INavigatorGeolocation_Type)
     return Pointer_To_INavigatorGeolocation;

   procedure Attach (This    : in out INavigatorGeolocation_Type;
                     Pointer : in     Pointer_To_INavigatorGeolocation);

   function Get_geolocation
     (This : INavigatorGeolocation_Type)
     return Pointer_To_IWebGeolocation;

end MSHTML.INavigatorGeolocation_Interface;

